"use strict";

function _interopDefault(ex) {
  return ex && "object" == typeof ex && "default" in ex ? ex.default : ex;
}

Object.defineProperty(exports, "__esModule", {
  value: !0
});

var raCore = require("ra-core"), React = require("react"), React__default = _interopDefault(React), reactAdmin = require("react-admin"), amplifyMaterialUi = require("amplify-material-ui"), history = require("history"), core = require("@material-ui/core"), reactRouterDom = require("react-router-dom"), reactRedux = require("react-redux"), MenuIcon = _interopDefault(require("@material-ui/icons/Menu")), ChevronLeftIcon = _interopDefault(require("@material-ui/icons/ChevronLeft")), createMuiTheme = _interopDefault(require("@material-ui/core/styles/createMuiTheme"));

const useStyles = core.makeStyles(theme => ({
  drawer: {
    [theme.breakpoints.up("sm")]: {
      width: theme.drawerWidth,
      flexShrink: 0
    }
  },
  appBar: {
    marginLeft: theme.drawerWidth,
    [theme.breakpoints.up("sm")]: {
      width: `calc(100% - ${theme.drawerWidth}px)`
    }
  },
  menuButton: {
    marginRight: theme.spacing(2),
    [theme.breakpoints.up("sm")]: {
      display: "none"
    }
  },
  toolbarIcon: {
    display: "flex",
    alignItems: "center",
    justifyContent: "flex-end",
    padding: "0 8px",
    ...theme.mixins.toolbar
  },
  drawerPaper: {
    width: theme.drawerWidth
  }
})), Header = ({title: title, hasDashboard: hasDashboard}) => {
  const classes = useStyles(), dispatch = reactRedux.useDispatch(), open = reactRedux.useSelector(state => state.admin.ui.sidebarOpen), handleDrawerToggle = () => dispatch(reactAdmin.toggleSidebar()), burgerMenu = React.createElement(core.IconButton, {
    color: "inherit",
    "aria-label": "open drawer",
    edge: "start",
    onClick: handleDrawerToggle,
    className: classes.menuButton
  }, React.createElement(MenuIcon, null)), brand = React.createElement(core.Link, {
    variant: "h6",
    underline: "none",
    color: "inherit",
    component: reactRouterDom.Link,
    to: "/"
  }, title), drawer = React.createElement(React.Fragment, null, React.createElement("div", {
    className: classes.toolbarIcon
  }, React.createElement(core.Hidden, {
    smUp: !0,
    implementation: "css"
  }, React.createElement(core.IconButton, {
    onClick: handleDrawerToggle
  }, React.createElement(ChevronLeftIcon, null)))), React.createElement(core.Divider, null), React.createElement(reactAdmin.Menu, {
    hasDashboard: hasDashboard
  }));
  return React.createElement(React.Fragment, null, React.createElement(amplifyMaterialUi.Greetings, {
    title: brand,
    className: classes.appBar,
    burgerMenu: burgerMenu
  }), React.createElement("nav", {
    className: classes.drawer,
    "aria-label": "navigation links"
  }, React.createElement(core.Hidden, {
    smUp: !0,
    implementation: "css"
  }, React.createElement(core.Drawer, {
    variant: "temporary",
    anchor: "left",
    open: open,
    onClose: handleDrawerToggle,
    classes: {
      paper: classes.drawerPaper
    },
    ModalProps: {
      keepMounted: !0
    }
  }, drawer)), React.createElement(core.Hidden, {
    xsDown: !0,
    implementation: "css"
  }, React.createElement(core.Drawer, {
    classes: {
      paper: classes.drawerPaper
    },
    variant: "permanent",
    open: open
  }, drawer))));
}, useStyles$1 = core.makeStyles(theme => ({
  toolbar: theme.mixins.toolbar,
  content: {
    display: "flex",
    flexDirection: "column",
    flexGrow: 1,
    backgroundColor: theme.palette.background.default,
    padding: theme.spacing(2),
    [theme.breakpoints.up("sm")]: {
      marginLeft: theme.drawerWidth
    }
  }
})), Main = ({children: children}) => {
  const classes = useStyles$1();
  return React__default.createElement(React__default.Fragment, null, React__default.createElement("main", {
    className: classes.content
  }, React__default.createElement("div", {
    className: classes.toolbar
  }), children));
}, useStyles$2 = core.makeStyles(() => ({
  root: {
    display: "flex",
    flexDirection: "column",
    maxHeight: "100vh"
  }
})), Layout = ({children: children, dashboard: dashboard}) => {
  const classes = useStyles$2();
  return React__default.createElement("div", {
    className: classes.root
  }, React__default.createElement(Header, {
    title: "AmplifyReactAdmin",
    hasDashboard: !!dashboard
  }), React__default.createElement(Main, null, children), React__default.createElement(reactAdmin.Notification, null));
}, defaultTheme = createMuiTheme({
  drawerWidth: 240
}), authProvider = () => Promise.resolve(), Admin = ({catchAll: catchAll = reactAdmin.NotFound, children: children, dataProvider: dataProvider, history: history$1 = history.createBrowserHistory(), layout: layout = Layout, loading: loading = amplifyMaterialUi.Loading, title: title = "AmplifyReactAdmin"}) => React.createElement(amplifyMaterialUi.Authenticator, {
  hide: [ amplifyMaterialUi.Greetings ],
  hideSignUpLink: !0,
  theme: defaultTheme
}, React.createElement(amplifyMaterialUi.AuthRoute, {
  validAuthStates: [ "signedIn" ]
}, () => React.createElement(reactAdmin.CoreAdminContext, {
  authProvider: authProvider,
  dataProvider: dataProvider,
  history: history$1
}, React.createElement(reactAdmin.CoreAdminUI, {
  catchAll: catchAll,
  layout: layout,
  loading: loading,
  loginPage: !1,
  title: title
}, children))));

Object.keys(raCore).forEach((function(k) {
  "default" !== k && Object.defineProperty(exports, k, {
    enumerable: !0,
    get: function() {
      return raCore[k];
    }
  });
})), exports.Admin = Admin;
